> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apps for the specified client (use /v1/admin/apps instead)



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml get /fastedge/v1/admin/apps/client/{client_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/apps/client/{client_id}:
    get:
      tags:
        - FastEdge Reseller Apps
      summary: Get apps for the specified client (use /v1/admin/apps instead)
      operationId: listAppsClient
      parameters:
        - description: ID of the client
          in: path
          name: client_id
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  apps:
                    items:
                      $ref: '#/components/schemas/app_short_admin'
                    type: array
                required:
                  - apps
                type: object
          description: Returns list of applications for the specified client
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
      deprecated: true
components:
  schemas:
    app_short_admin:
      type: object
      allOf:
        - $ref: '#/components/schemas/app_short'
        - type: object
          required:
            - client_id
            - reseller_id
          properties:
            client_id:
              type: integer
              format: int64
              description: Client ID
            reseller_id:
              type: integer
              format: int64
              description: Reseller ID
              nullable: true
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    app_short:
      required:
        - id
        - name
        - status
        - binary
        - api_type
        - plan_id
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: App ID
          minimum: 1
        name:
          type: string
          description: App name
        url:
          type: string
          description: App URL
        status:
          type: integer
          description: |-
            Status code:  
            0 - draft (inactive)  
            1 - enabled  
            2 - disabled  
            3 - hourly call limit exceeded  
            4 - daily call limit exceeded  
            5 - suspended
        binary:
          type: integer
          format: int64
          description: Binary ID
        comment:
          type: string
          description: Description of the binary
        api_type:
          type: string
          description: Wasm API type
        debug_until:
          type: string
          format: date-time
          description: When debugging finishes
        debug:
          default: false
          description: Switch on logging for 30 minutes (switched off by default)
          type: boolean
          writeOnly: true
        template:
          type: integer
          format: int64
          description: Template ID
        template_name:
          type: string
          description: Template name
        networks:
          description: Networks
          type: array
          items:
            type: string
        upgradeable_to:
          type: integer
          format: int64
          description: ID of the binary the app can be upgraded to
        plan_id:
          type: integer
          format: int64
          description: Application plan ID
        plan:
          type: string
          description: Application plan name
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````